package com.debosseffect_android_examples.com;

import android.app.Activity;
import android.graphics.EmbossMaskFilter;
import android.os.Bundle;
import android.view.View;
import android.widget.TextView;

public class MainActivity extends Activity {

	TextView textview;
	 EmbossMaskFilter embossmaskfilter = new EmbossMaskFilter(
			 new float[]{ 0f, -1f, 0.5f },
             0.7f,
             12,
             8.0f
     );
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        
        textview = (TextView)findViewById(R.id.textView1);
        
        textview.setLayerType(View.LAYER_TYPE_SOFTWARE,null);
        
        textview.getPaint().setMaskFilter(embossmaskfilter);
    }
}
